curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/wallets/{address}/history \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/wallets/{address}/history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/wallets/{address}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": "2",
"page_size": "100",
"cursor": "<string>",
"result": [
{
"hash": "0x1ed85b3757a6d31d01a4d6677fc52fd3911d649a0af21fe5ca3f886b153773ed",
"nonce": "1848059",
"transaction_index": "108",
"from_address": "0x267be1c1d684f78cb4f6a176c4911b741e4ffdc0",
"value": "115580000000000000",
"gas_price": "52500000000",
"receipt_cumulative_gas_used": "4923073",
"receipt_gas_used": "21000",
"receipt_status": "1",
"block_timestamp": "2021-05-07T11:08:35.000Z",
"block_number": "12386788",
"block_hash": "0x9b559aef7ea858608c2e554246fe4a24287e7aeeb976848df2b9a2531f4b9171",
"contract_interactions": "<unknown>",
"summary": "transfer",
"nft_transfers": [
{
"token_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"token_id": "15",
"from_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"value": "1000000000000000",
"amount": "1",
"contract_type": "ERC721",
"transaction_type": "<string>",
"log_index": 123,
"possible_spam": "false",
"direction": "outgoing",
"token_name": "Tether USD",
"token_symbol": "USDT",
"from_address_entity": "Opensea",
"from_address_entity_logo": "https://opensea.io/favicon.ico",
"from_address_label": "Binance 1",
"to_address_entity": "Beaver Build",
"to_address_entity_logo": "https://beaverbuild.com/favicon.ico",
"to_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"to_address_label": "Binance 2",
"operator": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"verified_collection": "false",
"collection_logo": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png",
"collection_banner_image": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png",
"normalized_metadata": {
"name": "Moralis Mug",
"description": "Moralis Coffee nug 3D Asset that can be used in 3D worldspaces. This NFT is presented as a flat PNG, a Unity3D Prefab and a standard fbx.",
"image": "https://arw2wxg84h6b.moralishost.com:2053/server/files/tNJatzsHirx4V2VAep6sc923OYGxvkpBeJttR7Ks/de504bbadadcbe30c86278342fcf2560_moralismug.png",
"external_link": "https://giphy.com/gifs/loop-recursion-ting-aaODAv1iuQdgI",
"external_url": "https://giphy.com/gifs/loop-recursion-ting-aaODAv1iuQdgI",
"animation_url": "https://giphy.com/gifs/food-design-donuts-o9ngTPVYW4qo8",
"attributes": [
{
"trait_type": "Eye Color",
"value": "hazel",
"display_type": "string",
"max_value": 100,
"trait_count": 7,
"order": 1
}
]
}
}
],
"erc20_transfers": [
{
"token_name": "Tether USD",
"token_symbol": "USDT",
"token_logo": "https://cdn.moralis.io/images/325/large/Tether-logo.png?1598003707",
"token_decimals": "6",
"address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"from_address": "0xd4a3BebD824189481FC45363602b83C9c7e9cbDf",
"value": 650000000000000000,
"value_formatted": "1.033",
"log_index": 2,
"possible_spam": "false",
"verified_contract": "false",
"block_timestamp": "2021-04-02T10:07:54.000Z",
"to_address_entity": "Beaver Build",
"to_address_entity_logo": "https://beaverbuild.com/favicon.ico",
"to_address": "0x62AED87d21Ad0F3cdE4D147Fdcc9245401Af0044",
"to_address_label": "Binance 2",
"from_address_entity": "Opensea",
"from_address_entity_logo": "https://opensea.io/favicon.ico",
"from_address_label": "Binance 1"
}
],
"native_transfers": [
{
"from_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"value": "1000000000000000",
"value_formatted": "0.1",
"internal_transaction": "false",
"token_symbol": "ETH",
"token_logo": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png",
"from_address_entity": "Opensea",
"from_address_entity_logo": "https://opensea.io/favicon.ico",
"from_address_label": "Binance 1",
"to_address_entity": "Beaver Build",
"to_address_entity_logo": "https://beaverbuild.com/favicon.ico",
"to_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"to_address_label": "Binance 2",
"direction": "outgoing"
}
],
"from_address_entity": "Opensea",
"from_address_entity_logo": "https://opensea.io/favicon.ico",
"from_address_label": "Binance 1",
"to_address_entity": "Beaver Build",
"to_address_entity_logo": "https://beaverbuild.com/favicon.ico",
"to_address": "0x003dde3494f30d861d063232c6a8c04394b686ff",
"to_address_label": "Binance 2",
"gas": "30000",
"input": "0x",
"receipt_contract_address": "0x9869524fd160fe3adda6218883b6526c0977d3a5",
"transaction_fee": "0.00000000000000063",
"internal_transactions": [
{
"transaction_hash": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"block_number": 12526958,
"block_hash": "0x0372c302e3c52e8f2e15d155e2c545e6d802e479236564af052759253b20fd86",
"type": "CALL",
"from": "0xd4a3BebD824189481FC45363602b83C9c7e9cbDf",
"to": "0xa71db868318f0a0bae9411347cd4a6fa23d8d4ef",
"value": "650000000000000000",
"gas": "6721975",
"gas_used": "6721975",
"input": "0x",
"output": "0x",
"error": "Execution reverted"
}
],
"possible_spam": "false",
"method_label": "transfer",
"logs": [
{
"log_index": "273",
"transaction_hash": "0xdd9006489e46670e0e85d1fb88823099e7f596b08aeaac023e9da0851f26fdd5",
"transaction_index": "204",
"address": "0x3105d328c66d8d55092358cf595d54608178e9b5",
"data": "0x00000000000000000000000000000000000000000000000de05239bccd4d537400000000000000000000000000024dbc80a9f80e3d5fc0a0ee30e2693781a443",
"topic0": "0x2caecd17d02f56fa897705dcc740da2d237c373f70686f4e0d9bd3bf0400ea7a",
"block_timestamp": "2021-05-07T11:08:35.000Z",
"block_number": "12386788",
"block_hash": "0x9b559aef7ea858608c2e554246fe4a24287e7aeeb976848df2b9a2531f4b9171",
"decoded_event": {
"signature": "Transfer(address,address,uint256)",
"label": "Transfer",
"type": "event",
"params": [
{
"name": "from",
"value": "0x26C5011483Add49801eA8E3Ee354fE013895aCe5",
"type": "address"
}
]
},
"topic1": "0x000000000000000000000000031002d15b0d0cd7c9129d6f644446368deae391",
"topic2": "0x000000000000000000000000d25943be09f968ba740e0782a34e710100defae9",
"topic3": null
}
]
}
]
}Wallet History
Get the complete decoded transaction history for a given wallet. All transactions are parsed, decoded, categorized and summarized into human-readable records.
Authorizations
Path Parameters
The address of the wallet
"0xcB1C1FdE09f811B294172696404e88E658659905"
Query Parameters
The chain to query
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f "eth"
The minimum block number from which to get the transactions
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
x >= 0The maximum block number from which to get the transactions.
- Provide the param 'to_block' or 'to_date'
- If 'to_date' and 'to_block' are provided, 'to_block' will be used.
x >= 0The start date from which to get the transactions (format in seconds or datestring accepted by momentjs)
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
Get the transactions up to this date (format in seconds or datestring accepted by momentjs)
- Provide the param 'to_block' or 'to_date'
- If 'to_date' and 'to_block' are provided, 'to_block' will be used.
If the result should contain the internal transactions.
If the result should contain the nft metadata.
The cursor returned in the previous response (used for getting the next page).
The order of the result, in ascending (ASC) or descending (DESC)
ASC, DESC "DESC"
The desired page size of the result.
x >= 0Response
Returns wallet history of a wallet address

